<?php 

// Register widgetised areas.
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'sidebar',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'footer-left',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'footer-center',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));
if ( function_exists('register_sidebar') )
register_sidebar(array('name'=>'footer-right',
'before_widget' => '<div class="block">',
'after_widget' => '</div>',
'before_title' => '<h4>',
'after_title' => '</h4>',
));

// Customization page in WordPress back-end.
function bfa_add_stuff_admin_head() {
    $url_base = get_bloginfo('template_directory');
	echo "<script src=\"$url_base/options/jscolor/jscolor.js\" type=\"text/javascript\"></script>\n";
}
add_action('admin_head', 'bfa_add_stuff_admin_head');
function mytheme_add_admin() {
    add_theme_page($themename." Options", "Tweaker Customization", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}
function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
<div class="wrap">
<h2>Customizing the Tweaker Theme</h2>
<h3>No options page has been added to this theme for two very specific reasons</h3>
<ol>
<li>Only a very limited range of meaningful options can be added to an options page. Such options could end up just increasing the overhead and thus increasing the download times of the theme pages. Including options also adds unnecessary complicated code to the theme pages.</li>
<li>This theme is aimed specifically at those with a basic knowledge of XHTML, CSS and PHP. The target group for this theme are those who love tweaking the code to get the result they desire.</li>
</ol>
<p>The idea here is to provide a theme that is technically sound and which has most of the possible alternatives for a theme already included in the code. Only the basics of the styling has been completed and it is this that the user will have to change to make the theme their own.</p>
<p>Full details as to just what has to be added, edited and or deleted for many of the common things most people change on themes has been provided. Coupled to this, full support is offered for customizing the theme via a support forum.</p>
<p>Obviously not each and every possible alternative is included in the documentation but as new queries are received from users of the theme, the documentation will be updated. This thus offers you as a user of this theme, the opportunity to contribute towards making it as easy as possible for others to customize the theme.</p>
<p>Here is your chance to push your tweaking skills to their limit.</p>
<h3>Just where is the documentation?</h3>
<p><a href="http://nice2all.com/tweaker-customization" title="">Customization Details</a></p>
<p><a href="http://nice2all.com/forum" title="">Support Forum</a></p>
<p><a href="http://nice2all.com/contact" title="">Contact Me</a></p>
<h3>Last Word</h3>
<p>Enjoy the theme and knock 'em dead with your own design.</p>
<p>Lyndi.</p>
<?php
}
add_action('admin_menu', 'mytheme_add_admin'); 

//Short code for signature
function signature_shortcode() {
	//any HTML can virtually be used here, text and/or graphics could be returned here
   return '<p>Till next time.</p>';
}
add_shortcode('signature', 'signature_shortcode');

?>
